<template>
	<main class="mt-36">
		<h2 class="contents-title">Default Grid</h2>
		<div v-html="mediaObjects"></div>
		<Code :codeText="mediaObjects" />
		<hr />
		<h2 class="contents-title">No-Gutter Grid</h2>
		<div v-html="noGutterGrid"></div>
		<Code :codeText="noGutterGrid" />
		<hr />
		<h2 class="contents-title">Grid with Offset</h2>
		<div v-html="gridWithOffset"></div>
		<Code :codeText="gridWithOffset" />
		<hr />
		<h2 class="contents-title">Responsive Grid</h2>
		<div v-html="responsiveGrid"></div>
		<Code :codeText="responsiveGrid" />
		<ContentFooter />
	</main>
</template>

<script>
export default {
	data() {
		return {
			mediaObjects: `<div class="bzg">
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
</div>
<div class="bzg">
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
</div>`,
			noGutterGrid: `<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
    <div class="bzg_c" data-col="m1"><div class="text-center bg-primary text-white">bzg_c m1</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
    <div class="bzg_c" data-col="m3"><div class="text-center bg-primary text-white">bzg_c m3</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
    <div class="bzg_c" data-col="m4"><div class="text-center bg-primary text-white">bzg_c m4</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m6"><div class="text-center bg-primary text-white">bzg_c m6</div></div>
    <div class="bzg_c" data-col="m6"><div class="text-center bg-primary text-white">bzg_c m6</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m7"><div class="text-center bg-primary text-white">bzg_c m7</div></div>
    <div class="bzg_c" data-col="m5"><div class="text-center bg-primary text-white">bzg_c m5</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m12"><div class="text-center bg-primary text-white">bzg_c m12</div></div>
</div>`,
			gridWithOffset: `<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m2"><div class="text-center bg-primary text-white">bzg_c m2</div></div>
    <div class="bzg_c" data-col="m5" data-offset="m5"><div class="text-center bg-primary text-white">bzg_c m5 offset=m5</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m3" data-offset="m3"><div class="text-center bg-primary text-white">bzg_c m3 offset=m3</div></div>
    <div class="bzg_c" data-col="m3" data-offset="m3"><div class="text-center bg-primary text-white">bzg_c m3 offset=m3</div></div>
</div>
<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="m6" data-offset="m3"><div class="text-center bg-primary text-white">bzg_c m6 offset=m3</div></div>
</div>`,
			responsiveGrid: `<div class="bzg bzg--no-gutter">
    <div class="bzg_c" data-col="s12,m9,l6"><div class="text-center bg-primary text-white">bzg_c s12,m9,l6</div></div>
    <div class="bzg_c" data-col="s6,m3,l6"><div class="text-center bg-primary text-white">bzg_c s6,m3,l6</div></div>
</div>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
